> For the complete documentation index, see [llms.txt](https://developers.gormic.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.gormic.com/crm/feedbacks.md).

# Feedbacks

## GET /v1/crm/feedback-responses

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListFeedbackResponsesApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListFeedbackResponses_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListFeedbackResponses_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackResponseM"}},"next":{"type":"string"}},"required":["items"]},"FeedbackResponseM":{"type":"object","properties":{"uid":{"type":"string"},"customerUid":{"type":"string"},"feedbacks":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","customerUid","feedbacks"]},"FeedbackM":{"type":"object","properties":{"score":{"type":"number"},"sentimentScore":{"type":"number"},"summaryComment":{"type":"string"},"uid":{"type":"string"},"subjectUid":{"type":"string"},"factorUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["score","uid","subjectUid","factorUid"]}}},"paths":{"/v1/crm/feedback-responses":{"get":{"operationId":"FeedbackResponses_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFeedbackResponsesApiResponse"}}}}},"tags":["Feedbacks"]}}}}
```

## POST /v1/crm/feedback-responses

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"CreateFeedbackResponseApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/CreateFeedbackResponse_Params"}},"required":["params"]},"CreateFeedbackResponse_Params":{"type":"object","properties":{"customerUid":{"type":"string"}},"required":["customerUid"]},"CreateFeedbackResponseApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/CreateFeedbackResponse_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"CreateFeedbackResponse_Data":{"type":"object","properties":{"uid":{"type":"string"}},"required":["uid"]}}},"paths":{"/v1/crm/feedback-responses":{"post":{"operationId":"FeedbackResponses_create","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFeedbackResponseApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFeedbackResponseApiResponse"}}}}},"tags":["Feedbacks"]}}}}
```

## GET /v1/crm/feedback-responses/{uid}

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetFeedbackResponseApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetFeedbackResponse_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetFeedbackResponse_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetFeedbackResponse_Data_Item"},"subjects":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackSubjectM"}},"factors":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackFactorM"}}},"required":["item"]},"GetFeedbackResponse_Data_Item":{"type":"object","properties":{"uid":{"type":"string"},"customerUid":{"type":"string"},"feedbacks":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","customerUid","feedbacks"]},"FeedbackM":{"type":"object","properties":{"score":{"type":"number"},"sentimentScore":{"type":"number"},"summaryComment":{"type":"string"},"uid":{"type":"string"},"subjectUid":{"type":"string"},"factorUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["score","uid","subjectUid","factorUid"]},"FeedbackSubjectM":{"type":"object","properties":{"locales":{"type":"object"},"weight":{"type":"number"},"contextAttrs":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackSubjectM_ContextAttrsItem"}},"uid":{"type":"string"},"organizationUid":{"type":"string"},"parentUid":{"type":"string"},"factorUids":{"type":"array","items":{"type":"string"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["locales","uid","organizationUid","factorUids"]},"FeedbackSubjectM_ContextAttrsItem":{"type":"object","properties":{"key":{"type":"string"},"required":{"type":"boolean"}},"required":["key","required"]},"FeedbackFactorM":{"type":"object","properties":{"locales":{"type":"object"},"weight":{"type":"number"},"uid":{"type":"string"},"organizationUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["locales","uid","organizationUid"]},"GetFeedbackResponseApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetFeedbackResponse_Error"}},"required":["error"]},"GetFeedbackResponse_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetFeedbackResponse_ErrorCodes_enum"}]}},"required":["code"]},"GetFeedbackResponse_ErrorCodes_enum":{"type":"string","enum":["NotFound"]}}},"paths":{"/v1/crm/feedback-responses/{uid}":{"get":{"operationId":"FeedbackResponses_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFeedbackResponseApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetFeedbackResponseApiError"}}}}},"tags":["Feedbacks"]}}}}
```

## DELETE /v1/crm/feedback-responses/{uid}

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"DeleteFeedbackResponseApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/DeleteFeedbackResponse_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"DeleteFeedbackResponse_Data":{"type":"object","properties":{"succeed":{"type":"boolean"}},"required":["succeed"]}}},"paths":{"/v1/crm/feedback-responses/{uid}":{"delete":{"operationId":"FeedbackResponses_delete","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteFeedbackResponseApiResponse"}}}}},"tags":["Feedbacks"]}}}}
```

## GET /v1/crm/feedback-responses/by-customer/{customerUid}

>

```json
{"openapi":"3.0.0","info":{"title":"Gormic CRM API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListFeedbackCustomerResponsesApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListFeedbackCustomerResponses_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListFeedbackCustomerResponses_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackResponseM"}},"next":{"type":"string"}},"required":["items"]},"FeedbackResponseM":{"type":"object","properties":{"uid":{"type":"string"},"customerUid":{"type":"string"},"feedbacks":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackM"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","customerUid","feedbacks"]},"FeedbackM":{"type":"object","properties":{"score":{"type":"number"},"sentimentScore":{"type":"number"},"summaryComment":{"type":"string"},"uid":{"type":"string"},"subjectUid":{"type":"string"},"factorUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["score","uid","subjectUid","factorUid"]}}},"paths":{"/v1/crm/feedback-responses/by-customer/{customerUid}":{"get":{"operationId":"FeedbackResponses_listByCustomer","parameters":[{"name":"customerUid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFeedbackCustomerResponsesApiResponse"}}}}},"tags":["Feedbacks"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gormic.com/crm/feedbacks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
